Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## extractor.component
Class TestComponentModel

    java.lang.Object
      |
      +--extractor.component.TestComponentModel

public class TestComponentModel
extends java.lang.Object

Field Summary
`private CompModel` | `cm`

Constructor Summary
`TestComponentModel(CompModel cm)`

Method Summary
`void` | `inputComponentModel()`
`static void` | `main(java.lang.String[] arg)`
`void` | `outputComponentModel()`
`private void` | `print(java.lang.String str)`
`private void` | `printAttributes(java.util.Vector attributes)`
`private void` | `printCompRelations(java.util.Vector compRelations)`
`private void` | `printInsideClasses(java.util.Vector insideClasses)`
`private void` | `printInsideRelations(java.util.Vector insideRelations)`
`private void` | `println(java.lang.String str)`
`private void` | `printMethods(java.util.Vector methods)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### cm

    private CompModel cm

Constructor Detail

### TestComponentModel

    public TestComponentModel(CompModel cm)

Method Detail

### inputComponentModel

    public void inputComponentModel()

### outputComponentModel

    public void outputComponentModel()

### printAttributes

    private void printAttributes(java.util.Vector attributes)

### printMethods

    private void printMethods(java.util.Vector methods)

### printInsideClasses

    private void printInsideClasses(java.util.Vector insideClasses)

### printInsideRelations

    private void printInsideRelations(java.util.Vector insideRelations)

### printCompRelations

    private void printCompRelations(java.util.Vector compRelations)

### println

    private void println(java.lang.String str)

### print

    private void print(java.lang.String str)

### main

    public static void main(java.lang.String[] arg)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD